
package dev.sonpx.loyalty.mcp.filter;

import lombok.AllArgsConstructor;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * Handle for filtering String type with contains, doesNotContain
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class StringFilter extends Filter<String> {

    private String contains;

    private String doesNotContain;

    public StringFilter setContains(String contains) {
        this.contains = contains;
        return this;
    }

    public StringFilter setDoesNotContain(String doesNotContain) {
        this.doesNotContain = doesNotContain;
        return this;
    }
}
